\begin{exercise}{5.1}
  I'm using the \texttt{MNIST} dataset reduced to digits 0 and 1. The formulation used by \texttt{sklearn} for Support Vector Machines needs the value \(C\).
  \begin{figure}[h!]
    \centering
    \begin{subfigure}{0.5\textwidth}
      \includegraphics[width=\linewidth]{\RootPathSheetFive/ex1/svn.pdf}
      \caption{full plot}
    \end{subfigure}\hfil
    \begin{subfigure}{0.5\textwidth}
      \includegraphics[width=\linewidth]{\RootPathSheetFive/ex1/svn-zoom.pdf}
      \caption{zoom on the transition region}
    \end{subfigure}
  
    \medskip
    \begin{subfigure}{0.5\textwidth}
      \includegraphics[width=\linewidth]{\RootPathSheetFive/ex1/svn-log.pdf}
      \caption{full plot; log scale}
    \end{subfigure}\hfil
    \begin{subfigure}{0.5\textwidth}
      \includegraphics[width=\linewidth]{\RootPathSheetFive/ex1/svn-zoom-log.pdf}
      \caption{zoom on the transition region; log scale}
    \end{subfigure}
  
    \caption{number of support vectors found by the support vector machine using different kernels.}
    \label{fig:5.1}
  \end{figure}
  
  \clearpage
  \pythoncode{\RootPathSheetFive/ex1/code.py}
\end{exercise}